-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_SpawnHealer.lua
-- Author: Galyana
-- Updated: 6 February, 2026

-- Spawns the repair satellite's self repair healer

require("PGStateMachine")
require("PGSpawnUnits")

function Definitions()
	ServiceRate = 1
	Define_State("State_Init", State_Init);
end

function State_Init(message)
	ref_type = Find_Object_Type("Rebel_Defense_Satellite_Repair_Healer")
	position = Object.Get_Position()
	player = Object.Get_Owner()

	if message == OnEnter then
		Create_Generic_Object(ref_type, position, player)
	end

	ScriptExit()
end